<script lang="ts">
import Vue from 'vue';
import { NextStep } from '~/components/common/index.vue';
import { SolutionsHero } from '~/components/solutions/index.vue';
import { PartnersCopyBlock } from '~/components/partners/index.vue';
import TextCard from '~/components/services/text-card.vue';
import { getPageMetadata } from '~/common/meta';
import { MetaInfo } from 'vue-meta';

export default Vue.extend({
  name: 'CustomerSuccessManagement',
  components: { TextCard, NextStep, SolutionsHero, PartnersCopyBlock },
  async asyncData({ $customerSuccessManagementService }: any) {
    try {
      const content = await $customerSuccessManagementService.getContent(
        'services/customer-success-management',
      );
      return { content };
    } catch (e) {
      throw new Error(e);
    }
  },
  head(): MetaInfo {
    return getPageMetadata(
      (this as any).content,
      this.$route.path,
      this.$nuxtI18nHead({ addSeoAttributes: true }),
    );
  },
  nuxtI18n: {
    locales: ['en-us'],
  },
});
</script>

<template>
  <div>
    <SolutionsHero :data="content.hero" class="slp-mb-64" />
    <div class="slp-mb-64">
      <PartnersCopyBlock class="slp-mt-lg-64" :data="content.headerAndText" />
    </div>
    <TextCard v-for="card in content.cards" :key="card.title" :data="card" />
    <NextStep />
  </div>
</template>
